Show / Hide Table of Contents

# Delegate GameNetwork.OnNetworkMessageDelegate

The delegate type of a network message event.

###### Namespace: Dalamud.Game.Network

###### Assembly: Dalamud.dll

##### Syntax

    public delegate void OnNetworkMessageDelegate(IntPtr dataPtr, ushort opCode, uint sourceActorId, uint targetActorId, NetworkMessageDirection direction);

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dataPtr | The pointer to the raw data.
System.UInt16 | opCode | The operation ID code.
System.UInt32 | sourceActorId | The source actor ID.
System.UInt32 | targetActorId | The taret actor ID.
NetworkMessageDirection | direction | The direction of the packed.